package com.cocos.aidl;

package .var.folders.cl.9twcgjfx4vsg5zl73c6wxmvm0000gn.T;

import android.os.IBinder;
import android.os.Parcel;
import android.os.ParcelFileDescriptor;
import android.os.RemoteException;
import android.view.MotionEvent;
import com.cocos.aidl.ICocosRemoteRender;
import com.cocos.aidl.ICocosRemoteRenderCallback;

class Proxy implements ICocosRemoteRender {
  private IBinder mRemote;
  
  public static ICocosRemoteRender sDefaultImpl;
  
  Proxy(IBinder remote) {
    this.mRemote = remote;
  }
  
  public IBinder asBinder() {
    return this.mRemote;
  }
  
  public String getInterfaceDescriptor() {
    return "com.cocos.aidl.ICocosRemoteRender";
  }
  
  public void setCallback(ICocosRemoteRenderCallback cb) throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosRemoteRender");
      _data.writeStrongBinder((cb != null) ? cb.asBinder() : null);
      boolean _status = this.mRemote.transact(1, _data, _reply, 0);
      if (!_status && ICocosRemoteRender.Stub.getDefaultImpl() != null) {
        ICocosRemoteRender.Stub.getDefaultImpl().setCallback(cb);
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
  
  public void start() throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosRemoteRender");
      boolean _status = this.mRemote.transact(2, _data, _reply, 0);
      if (!_status && ICocosRemoteRender.Stub.getDefaultImpl() != null) {
        ICocosRemoteRender.Stub.getDefaultImpl().start();
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
  
  public void stop() throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosRemoteRender");
      boolean _status = this.mRemote.transact(3, _data, _reply, 0);
      if (!_status && ICocosRemoteRender.Stub.getDefaultImpl() != null) {
        ICocosRemoteRender.Stub.getDefaultImpl().stop();
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
  
  public void pause() throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosRemoteRender");
      boolean _status = this.mRemote.transact(4, _data, _reply, 0);
      if (!_status && ICocosRemoteRender.Stub.getDefaultImpl() != null) {
        ICocosRemoteRender.Stub.getDefaultImpl().pause();
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
  
  public void resume() throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosRemoteRender");
      boolean _status = this.mRemote.transact(5, _data, _reply, 0);
      if (!_status && ICocosRemoteRender.Stub.getDefaultImpl() != null) {
        ICocosRemoteRender.Stub.getDefaultImpl().resume();
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
  
  public boolean onTouchEvent(MotionEvent event) throws RemoteException {
    boolean _result;
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosRemoteRender");
      if (event != null) {
        _data.writeInt(1);
        event.writeToParcel(_data, 0);
      } else {
        _data.writeInt(0);
      } 
      boolean _status = this.mRemote.transact(6, _data, _reply, 0);
      if (!_status && ICocosRemoteRender.Stub.getDefaultImpl() != null)
        return ICocosRemoteRender.Stub.getDefaultImpl().onTouchEvent(event); 
      _reply.readException();
      _result = (0 != _reply.readInt());
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
    return _result;
  }
  
  public void updateClientWindowSize(int width, int height) throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosRemoteRender");
      _data.writeInt(width);
      _data.writeInt(height);
      boolean _status = this.mRemote.transact(7, _data, _reply, 0);
      if (!_status && ICocosRemoteRender.Stub.getDefaultImpl() != null) {
        ICocosRemoteRender.Stub.getDefaultImpl().updateClientWindowSize(width, height);
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
  
  public void insertReleaseSyncFence(ParcelFileDescriptor syncFd) throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosRemoteRender");
      if (syncFd != null) {
        _data.writeInt(1);
        syncFd.writeToParcel(_data, 0);
      } else {
        _data.writeInt(0);
      } 
      boolean _status = this.mRemote.transact(8, _data, _reply, 0);
      if (!_status && ICocosRemoteRender.Stub.getDefaultImpl() != null) {
        ICocosRemoteRender.Stub.getDefaultImpl().insertReleaseSyncFence(syncFd);
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
  
  public void setRealClientId(int clientId) throws RemoteException {
    Parcel _data = Parcel.obtain();
    Parcel _reply = Parcel.obtain();
    try {
      _data.writeInterfaceToken("com.cocos.aidl.ICocosRemoteRender");
      _data.writeInt(clientId);
      boolean _status = this.mRemote.transact(9, _data, _reply, 0);
      if (!_status && ICocosRemoteRender.Stub.getDefaultImpl() != null) {
        ICocosRemoteRender.Stub.getDefaultImpl().setRealClientId(clientId);
        return;
      } 
      _reply.readException();
    } finally {
      _reply.recycle();
      _data.recycle();
    } 
  }
}
